{
  gROOT->Macro("start.C");
  TCanvas* c1=new TCanvas("c1","c1",700,700);

  TString Tgc=FMSTXT+"/"+FMSCORR;
  CalibStr* gcor=new CalibStr(9010000,Tgc);
  TGraphErrors* gr[4][17][34];
  TFile* RD=new TFile("RunDep.root");
  RD->ls();
  TList* lst= RD->GetListOfKeys();
  TKey* key=0;
  RunDepCor* rd=(RunDepCor*) RD->Get("RDC12080001");
  rd->Cdep(2,3,4)->GetGraph()->Draw("A*");
  
  Int_t nrows[4]={34,34,24,24};
  TIter next(lst);
  for(int det=0;det<4;det++)
    {
      for(int row=0;row<nrows[det];row++)
	{
	  for(int col=0;col<nrows[det]/2;col++)
	    {
	      gr[det][col][row]=0;
	      if(rd->Legal(2,det+1,row,col))
		{
		  gr[det][col][row]=new TGraphErrors();
		};
	    };
	};
    };
  
  while(key=(TKey*) next())
    {
      RunDepCor* rd=(RunDepCor*) key->ReadObj();
      printf("run=%d\n",rd->RunNumber);
      for(int det=0;det<4;det++)
	{
	  
	  for(int row=0;row<nrows[det];row++)
	    {
	      for(int col=0;col<nrows[det]/2;col++)
		{
		  if(gr[det][col][row])
		    {
		      CellTDep* cd=rd->Cdep(det+1,row,col);
		      Float_t nom= cd->GetNominalLedADC();
		      if(nom<1)nom=1;
		      Float_t ledADC=cd->GetthisLedADC();
		      Float_t led= cd->GetthisLedADC()/nom;
		      if(ledADC<3)led=0;
		      Float_t lederr= cd->GetFit()->GetParError(0)/nom;
		      Int_t ix1=(rd->RunNumber-12000000)/1000;
		      Int_t ix0=-(1000*ix1-(rd->RunNumber-12000000));
		      if(ix0>100)ix0=100;
		      
		      Float_t x=ix1+(1.*ix0)/100.;

		      int n=gr[det][col][row]->GetN();
		      gr[det][col][row]->SetPoint(n,x,led);
		      gr[det][col][row]->SetPointError(n,0,lederr);
		    };
		};
	    };
	};
    };
  c1->Clear();
  c1->Divide(4,4);
  int cnt=0;
  c1->Print("TimeDep.ps(");

  for(int det=0;det<4;det++)
    {
      for(int row=0;row<nrows[det];row++)
	{
	  for(int col=0;col<nrows[det]/2;col++)
	    {
	      if(gr[det][col][row])
		{
		  cnt++;
		  c1->cd(cnt);
		  char name[200];
		  sprintf(name,"R%d_C%d_%d",row,col,det);
		  gr[det][col][row]->SetTitle(name);
		  gr[det][col][row]->SetMarkerSize(.1);
		  TGraphErrors* g=gr[det][col][row];
		  g->GetXaxis()->SetTitle("day");
		  Double_t min=1000000;
		  Double_t max=0;
		  for(int nn=0;nn<g->GetN();nn++)
		    {
		      Float_t val=g->GetY()[nn];
		      if(val>max)max=val;
		      if(val<min)min=val;
		    }
		  if(min>.5 && max<1.5)
		    {
		      g->GetYaxis()->SetRangeUser(.5,1.5);
		    }
		  else
		    {
		      g->SetMarkerColor(2);
		      g->SetMarkerSize(.5);
		    };
		  gr[det][col][row]->GetXaxis()->SetRangeUser(90.,97.);
		  gr[det][col][row]->Draw("A*");
		  if(cnt==16)
		    {
		      c1->Update();	
		      c1->Print("TimeDep.ps");  
		      cnt=0;
		      c1->Clear();
		      c1->Divide(4,4);
		    };
		};
	    };
	};
    };
  
  c1->Print("TimeDep.ps)");
  
  system("ps2pdf TimeDep.ps; rm TimeDep.ps");
}
